# Class: LoaderParser

## Phaser. LoaderParser

#### new LoaderParser()

  Phaser.LoaderParser parses data objects from Phaser.Loader that need more preparation before they can be inserted into the Cache.

  Source:
    - loader/LoaderParser.js, line 3

### Methods

#### <static> bitmapFont(game, xml, cacheKey)

  Parse a Bitmap Font from an XML file.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `game` | Phaser.Game | A reference to the current game.
  `xml` | object | XML data you want to parse.
  `cacheKey` | string | The key of the texture this font uses in the cache.

  Source:
    - loader/LoaderParser.js, line 14